// File generated by FlutterFire CLI.
// ignore_for_file: lines_longer_than_80_chars, avoid_classes_with_only_static_members
import 'package:firebase_core/firebase_core.dart' show FirebaseOptions;
import 'package:flutter/foundation.dart'
    show defaultTargetPlatform, kIsWeb, TargetPlatform;

/// Default [FirebaseOptions] for use with your Firebase apps.
///
/// Example:
/// ```dart
/// import 'firebase_options.dart';
/// // ...
/// await Firebase.initializeApp(
///   options: DefaultFirebaseOptions.currentPlatform,
/// );
/// ```
class DefaultFirebaseOptions {
  static FirebaseOptions get currentPlatform {
    if (kIsWeb) {
      throw UnsupportedError(
        'DefaultFirebaseOptions have not been configured for web - '
        'you can reconfigure this by running the FlutterFire CLI again.',
      );
    }
    switch (defaultTargetPlatform) {
      case TargetPlatform.android:
        return android;
      case TargetPlatform.iOS:
        return ios;
      case TargetPlatform.macOS:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for macos - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.windows:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for windows - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      case TargetPlatform.linux:
        throw UnsupportedError(
          'DefaultFirebaseOptions have not been configured for linux - '
          'you can reconfigure this by running the FlutterFire CLI again.',
        );
      default:
        throw UnsupportedError(
          'DefaultFirebaseOptions are not supported for this platform.',
        );
    }
  }

  static const FirebaseOptions android = FirebaseOptions(
    apiKey: 'AIzaSyCqQzqTzd4o--MNFSI0xK4hHnSqL0KUzSE',
    appId: '1:1016522620600:android:1cf9275c4955e35b5bfe4d',
    messagingSenderId: '1016522620600',
    projectId: 'intface',
    databaseURL: 'https://intface.firebaseio.com',
    storageBucket: 'intface.appspot.com',
  );

  static const FirebaseOptions ios = FirebaseOptions(
    apiKey: 'AIzaSyCszueCp2hjHmzxnxzgm6OETOm3GrxI594',
    appId: '1:1016522620600:ios:93e440f2083704655bfe4d',
    messagingSenderId: '1016522620600',
    projectId: 'intface',
    databaseURL: 'https://intface.firebaseio.com',
    storageBucket: 'intface.appspot.com',
    androidClientId: '1016522620600-9u921pmrakmvmbjvc5nedhqoegjd855q.apps.googleusercontent.com',
    iosClientId: '1016522620600-qlmu77oclgvdenn9q2t89laqbkujjbl0.apps.googleusercontent.com',
    iosBundleId: 'com.hoangtuan.myhoangtuan',
  );
}
